> ## Documentation Index
> Fetch the complete documentation index at: https://docs.snorbe.deskrex.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Workspace

> Get the default workspace associated with your API key

# Get Workspace

Returns the default workspace for the user associated with the API key.

<Note>
  REST API agent execution endpoints do not require `workspaceId` — it is automatically resolved from the API key. Use this endpoint only when you need to reference the workspace information.
</Note>

## Request

```
GET /api/v1/workspace
```

### Headers

| Header          | Required | Description                           |
| --------------- | -------- | ------------------------------------- |
| `Authorization` | Yes      | API key in `Bearer snorbe_...` format |

## Response

```json theme={null}
{
  "workspaceId": "cmkt9lpfe000bu95cdrcr2nbt",
  "workspaceName": "My Workspace"
}
```

### Response Fields

| Field           | Type     | Description    |
| --------------- | -------- | -------------- |
| `workspaceId`   | `string` | Workspace ID   |
| `workspaceName` | `string` | Workspace name |

## Examples

<CodeGroup>
  ```bash cURL theme={null}
  curl "https://app.snorbe.deskrex.ai/api/v1/workspace" \
    -H "Authorization: Bearer snorbe_your_api_key_here"
  ```

  ```python Python theme={null}
  import requests

  resp = requests.get(
      "https://app.snorbe.deskrex.ai/api/v1/workspace",
      headers={"Authorization": "Bearer snorbe_your_api_key_here"},
  )
  data = resp.json()
  print(data["workspaceId"])
  ```

  ```typescript TypeScript theme={null}
  const resp = await fetch("https://app.snorbe.deskrex.ai/api/v1/workspace", {
    headers: { Authorization: "Bearer snorbe_your_api_key_here" },
  });
  const data = await resp.json();
  console.log(data.workspaceId);
  ```
</CodeGroup>

## Error Responses

| HTTP Status | Code                | Description                          |
| ----------- | ------------------- | ------------------------------------ |
| 401         | `UNAUTHORIZED`      | Invalid, expired, or missing API key |
| 429         | `TOO_MANY_REQUESTS` | Rate limit exceeded                  |
